Ubuntu

Comment 34 for bug 653405

Oscar E. Ganteaume (oegbizz) wrote :

I have Ubuntu 11.10 and have been trying to install rabbitmq 2.7.1 without any luck. I get the following error message:

The following NEW packages will be installed:
  rabbitmq-server
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/2,711 kB of archives.
After this operation, 3,736 kB of additional disk space will be used.
Selecting previously deselected package rabbitmq-server.
(Reading database ... 409938 files and directories currently installed.)
Unpacking rabbitmq-server (from .../rabbitmq-server_2.7.1-1_all.deb) ...
Processing triggers for man-db ...
Processing triggers for ureadahead ...
Setting up rabbitmq-server (2.7.1-1) ...
Adding group `rabbitmq' (GID 129) ...
Done.
Adding system user `rabbitmq' (UID 118) ...
Adding new user `rabbitmq' (UID 118) with group `rabbitmq' ...
Not creating home directory `/var/lib/rabbitmq'.
Starting rabbitmq-server: FAILED - check /var/log/rabbitmq/startup_{log, _err}
rabbitmq-server.
invoke-rc.d: initscript rabbitmq-server, action "start" failed.
dpkg: error processing rabbitmq-server (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 rabbitmq-server
E: Sub-process /usr/bin/dpkg returned an error code (1)

Based on previous posts I have attached the erl_crash.dump

The /var/log/rabbitmq/startup_err is empty, but the /var/log/rabbitmq/startup_log contains the following:
Activating RabbitMQ plugins ...
0 plugins activated:

ERROR: epmd error for host "192": badarg (unknown POSIX error)

In case this helps, I am running AMD 64 bit architecture. I really have tried different options, but none of them have worked. Any help will be greatly appreciated. Thanks in advance

Oscar